import request from '@/utils/request'

// 查询企微公海列表
export function listContactBatch(query) {
  return request({
    url: '/qw/contactBatch/list',
    method: 'get',
    params: query
  })
}

// 查询企微公海详细
export function getContactBatch(id) {
  return request({
    url: '/qw/contactBatch/' + id,
    method: 'get'
  })
}

// 新增企微公海
export function addContactBatch(data) {
  return request({
    url: '/qw/contactBatch',
    method: 'post',
    data: data
  })
}

// 修改企微公海
export function updateContactBatch(data) {
  return request({
    url: '/qw/contactBatch',
    method: 'put',
    data: data
  })
}

// 删除企微公海
export function delContactBatch(id) {
  return request({
    url: '/qw/contactBatch/' + id,
    method: 'delete'
  })
}

// 导出企微公海
export function exportContactBatch(query) {
  return request({
    url: '/qw/contactBatch/export',
    method: 'get',
    params: query
  })
}